Bug 63622 - gen-ppds in cups-drivers misses FOOMATIC_SBINDIR
gen-ppds in cups-drivers misses FOOMATIC_SBINDIR
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: foomatic (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-16 10:30 EDT by Ronny Buchmann
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-16 10:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ronny Buchmann 2002-04-16 10:30:25 EDT
Description of Problem:
FOOMATIC_SBINDIR in /usr/bin/gen-ppds gets never defined, so the execution of
foomatic-data is impossible.

Version-Release number of selected component (if applicable):
cups-drivers-1.1-0.20020313.1 (foomatic-1.1-0.20020313.1.src.rpm)

How Reproducible:
always

Steps to Reproduce:
1. start gen-ppds as root

Actual Results:
...
Can't open perl script "/foomatic-datafile": Datei oder Verzeichnis nicht gefunden
...

Expected Results:
no error message and updated ppds

Additional Information:
export FOOMATIC_SBINDIR=/usr/sbin before gen-ppds is a simple workaround
Comment 1 Tim Waugh 2002-04-16 10:33:06 EDT
Come to think of it--Bero, why are we even shipping this when it's only ever 
run during the foomatic build process? 
 
(Or is there a reason for running it outside the build process, that I don't 
see?)
Comment 2 Tim Waugh 2002-06-20 08:06:39 EDT
gen-ppds is no longer shipped.

Note You need to log in before you can comment on or make changes to this bug.